Request Body
Other Contractor Payment Object fields.
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
POSTs a request when a contractor payment is created, updated, or deleted in the Zeal dashboard.
| attribute | type | description |
|---|---|---|
| test | boolean | Whether the Contractor Payment was created/updated/deleted in Test Mode |
| type | string | The operation that was applied to this payment. create update delete |
{
"test": true,
"operation_type": "update",
"first_name": "Erlich",
"middle_name": null,
"last_name": "Bachman",
"status": "pending",
"approval_required": false,
"approved": false,
"contractorPaymentID": "6a235c591cf39b4e37c6d4a8",
"contractorID": "69424c8fa2b8c4b55d3ff02e",
"companyID": "c9f2b8caa768409e84e98b0aba9d2ba8",
"pay_date": "2026-06-05",
"metadata": {},
"disbursement": {
"method": "direct_deposit",
"history": [],
"status": "pending"
},
"deductions": [
{
"deductionID": "6ba7b8109dad11d180b400c00c04fd4",
"companyID": "c9f2b8caa768409e84e98b0aba9d2ba8",
"deduction_type": "miscellaneous",
"deduction_template_name": "Example withholding",
"employee_contribution": {
"value": 10,
"contribution_type": "dollars"
},
"employee_calculated_contribution": 10
}
],
"has_payment_items": true,
"payment_items": [
{
"paymentItemID": "07439560e2cb4b3e801bcf0f5bc09a44",
"earning_type": "hourly",
"quantity": 2,
"rate": 50,
"gross_amount": 100
}
],
"totals": {
"gross_amount": 100,
"net_amount": 90,
"deductions": 10
},
"timestamp": "2026-06-02T21:29:42Z"
}